Skip to main content
GET
/
v2
/
returns
/
{returnId}
Get Return
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/returns/{returnId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "number": "<string>",
  "returnDate": "2023-11-07T05:31:56Z",
  "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "externalNumber": "<string>",
  "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "externalComment": "<string>",
  "internalComment": "<string>",
  "contact": "<string>",
  "transmitToSalesChannel": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

returnId
string<uuid>
required

The id of the return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the return for the given id.

Model Class: Return

id
string<uuid>

Unique ID to identify a return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

number
string

The number of the return.

returnDate
string<date-time>

The date when the return was created.

customerId
string<uuid>

The customer ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

externalNumber
string

An arbitrary external reference number for identifying the return, provided only during creation and cannot be changed afterward.

origin
enum<integer>

Indicates the origin of the return, specifying where or how the return was initiated.

Available options:
0,
1,
2,
3,
4,
5,
6,
7
companyId
string<uuid>

The company of the corresponding sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderId
string<uuid>

The id of the sales order if the return has exactly on corresponding sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

stateId
string<uuid>

The id of the return state.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

warehouseId
string<uuid>

Id of the Warehouse.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

externalComment
string

The external comment of the sales order.

internalComment
string

The internal comment of the sales order.

contact
string

The contact of the return.

transmitToSalesChannel
boolean

Indicates whether the return should be transmitted to the sales channel (e.g. SCX or Amazon).